#version 330 core

out vec4 FragColor;
in vec2 texCoords;

uniform sampler2D screenTexture;

void main()
{
    vec3 color = vec3(0.0f);

    vec3 fragment = texture(screenTexture, texCoords).rgb;

    float brightness = dot(fragment, vec3(0.2526, 0.2552, 0.2522));

    if(brightness > 1.2){
        color = vec3(0.823, 0.015, 0.176);
        FragColor = vec4(color, 1.0f);
        }
    
}