#version 430 core

layout (location = 0) in vec4 vertex; // <vec2 position, vec2 texCoords>
layout (location = 1) in mat4 instanceModelMatrix;

out vec4 ParticleColor;

uniform mat4 projection;
uniform mat4 view;

uniform vec4 color;

void main()
{
    ParticleColor = color;
    gl_Position= projection*view*instanceModelMatrix*vec4(vertex.xy,0.0,1.0);
}